<template>
	<view class="charts-box">
		<qiun-data-charts type="column" :opts="opts" :chartData="chartData" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				chartData: {},
				//您可以通过修改 config-ucharts.js 文件中下标为 ['column'] 的节点来配置全局默认参数，如都是默认参数，此处可以不传 opts 。实际应用过程中 opts 只需传入与全局默认参数中不一致的【某一个属性】即可实现同类型的图表显示不同的样式，达到页面简洁的需求。
				opts: {
					color: ["#0DA17D"],
					padding: [30, 15, 100, 25],
					enableScroll: false,
					fonSize: 12,
					fontColor: '#8C8C8C',
					legend: {
						show: false
					},
					xAxis: {
						disableGrid: true,
						rotateLabel: true,
						rotateAngle: 30,
						
						titleOffsetY: 20,
						titleOffsetX: 5,
						marginTop: 5
					},
					yAxis: {
						data: [{
							min: 0
						}],
						
						showTitle: false
					},
					extra: {
						column: {
							width: '10',
						}
					},
				}
			};
		},
		created() {
			console.log("runChart onReady");
			this.getServerData();
		},
		methods: {
			getServerData() {
				let _this = this;
				//模拟从服务器获取数据时的延时
				setTimeout(() => {
					//模拟服务器返回数据，如果数据格式和标准格式不同，需自行按下面的格式拼接
					let res = {
						categories: ["2025-10-17", "2025-10-18", "2025-10-19", "2025-10-20", "2025-10-21",
							"2025-10-22"
						],
						series: [

							{
								name:this.$t('homePage.home.powerGeneration'),
								textColor: "#FFFFFF",
								data: [18, 27, 21, 24, 6, 28]
							}
						]
					};
					this.chartData = JSON.parse(JSON.stringify(res));

				}, 500);
			},
		}
	};
</script>

<style scoped>
	/* 请根据实际需求修改父元素尺寸，组件自动识别宽高 */
	.charts-box {
		width: 100%;
		height: 300px;
	}
</style>